﻿/**Begin D:\PDM_UPGRADE\PDM1\QCQI_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCQI_QCREVIEWPLAN', 'T_QCQI_QCREVIEWPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCREAN_FBILLNO') CREATE INDEX IDX_QCQI_QCREAN_FBILLNO ON T_QCQI_QCREVIEWPLAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCREAN_FCREATETIME') CREATE INDEX IDX_QCQI_QCREAN_FCREATETIME ON T_QCQI_QCREVIEWPLAN ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCQI_QCREVPLANENTRY', 'T_QCQI_QCREVPLANENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCRERY_FID') CREATE INDEX IDX_QCQI_QCRERY_FID ON T_QCQI_QCREVPLANENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCRERY_FSEQ') CREATE INDEX IDX_QCQI_QCRERY_FSEQ ON T_QCQI_QCREVPLANENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCQI_QCOUNTRVENTRY', 'T_QCQI_QCOUNTRVENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURY_FID') CREATE INDEX IDX_QCQI_QCOURY_FID ON T_QCQI_QCOUNTRVENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURY_FSEQ') CREATE INDEX IDX_QCQI_QCOURY_FSEQ ON T_QCQI_QCOUNTRVENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCQI_QCOUNTSCATT', 'T_QCQI_QCOUNTSCATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOUTT_FDETAILID') CREATE INDEX IDX_QCQI_QCOUTT_FDETAILID ON T_QCQI_QCOUNTSCATT ( FDETAILID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_QCQI_QCOUNTSCORE', 'T_QCQI_QCOUNTSCORE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURE_FBILLNO') CREATE INDEX IDX_QCQI_QCOURE_FBILLNO ON T_QCQI_QCOUNTSCORE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURE_FCREATETIME') CREATE INDEX IDX_QCQI_QCOURE_FCREATETIME ON T_QCQI_QCOUNTSCORE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCQI_QCOUNTSCSUBENTRY', 'T_QCQI_QCOUNTSCSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURY_FENTRYID') CREATE INDEX IDX_QCQI_QCOURY_FENTRYID ON T_QCQI_QCOUNTSCSUBENTRY ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCOURY_FSEQASC') CREATE INDEX IDX_QCQI_QCOURY_FSEQASC ON T_QCQI_QCOUNTSCSUBENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCQI_QCONLINESTENTRY', 'T_QCQI_QCONLINESTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCONRY_FID') CREATE INDEX IDX_QCQI_QCONRY_FID ON T_QCQI_QCONLINESTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCONRY_FSEQ') CREATE INDEX IDX_QCQI_QCONRY_FSEQ ON T_QCQI_QCONLINESTENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCQI_QCONLINESCORE', 'T_QCQI_QCONLINESCORE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCONRE_FBILLNO') CREATE INDEX IDX_QCQI_QCONRE_FBILLNO ON T_QCQI_QCONLINESCORE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCONRE_FCREATETIME') CREATE INDEX IDX_QCQI_QCONRE_FCREATETIME ON T_QCQI_QCONLINESCORE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCQI_QCONLINESTATT', 'T_QCQI_QCONLINESTATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCONTT_FENTRYID') CREATE INDEX IDX_QCQI_QCONTT_FENTRYID ON T_QCQI_QCONLINESTATT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_QCQI_QCAWARDATT', 'T_QCQI_QCAWARDATT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCAWTT_FENTRYID') CREATE INDEX IDX_QCQI_QCAWTT_FENTRYID ON T_QCQI_QCAWARDATT ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_QCQI_QCAWARDENTRY', 'T_QCQI_QCAWARDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCAWRY_FID') CREATE INDEX IDX_QCQI_QCAWRY_FID ON T_QCQI_QCAWARDENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCAWRY_FSEQ') CREATE INDEX IDX_QCQI_QCAWRY_FSEQ ON T_QCQI_QCAWARDENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_QCQI_QCAWARDMAN', 'T_QCQI_QCAWARDMAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCAWAN_FBILLNO') CREATE INDEX IDX_QCQI_QCAWAN_FBILLNO ON T_QCQI_QCAWARDMAN ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_QCAWAN_FCREATETIME') CREATE INDEX IDX_QCQI_QCAWAN_FCREATETIME ON T_QCQI_QCAWARDMAN ( FCREATETIME );



/**End D:\PDM_UPGRADE\PDM1\QCQI_constraint.sql **/
