﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCQI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_BUILDT') 
 CREATE TABLE T_QCQI_CAP_BUILDT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FROLE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPOSITION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDEPARTMENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCONTACTWAY NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_CAUANA') 
 CREATE TABLE T_QCQI_CAP_CAUANA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCAUSE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIME DATETIME,
FISPRIMARYCAUSE NVARCHAR(5) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_CORMEA') 
 CREATE TABLE T_QCQI_CAP_CORMEA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCORRECTMEASURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDRESULTCM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_DESPRO') 
 CREATE TABLE T_QCQI_CAP_DESPRO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTIME DATETIME,
FPLACE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPERSON NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPROBLEM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEASURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDEGREE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_EFFCON') 
 CREATE TABLE T_QCQI_CAP_EFFCON (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUSAFTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUSBEFORE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_ENTRY') 
 CREATE TABLE T_QCQI_CAP_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FUNQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREPEAT NVARCHAR(5) DEFAULT ' ' NOT NULL,
FREPEATID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTCREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNQUALIQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSEDEP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXCEPTIONINFO NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_FASTACT') 
 CREATE TABLE T_QCQI_CAP_FASTACT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIINISHTIME DATETIME,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTASKALLOT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PREMEA') 
 CREATE TABLE T_QCQI_CAP_PREMEA (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPREVENTMEASURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILESTD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROCLO') 
 CREATE TABLE T_QCQI_CAP_PROCLO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVECA') 
 CREATE TABLE T_QCQI_CAP_PROVECA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVECAS') 
 CREATE TABLE T_QCQI_CAP_PROVECAS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVECM') 
 CREATE TABLE T_QCQI_CAP_PROVECM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVECMS') 
 CREATE TABLE T_QCQI_CAP_PROVECMS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEDP') 
 CREATE TABLE T_QCQI_CAP_PROVEDP (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEDPS') 
 CREATE TABLE T_QCQI_CAP_PROVEDPS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEEC') 
 CREATE TABLE T_QCQI_CAP_PROVEEC (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEENT') 
 CREATE TABLE T_QCQI_CAP_PROVEENT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEFA') 
 CREATE TABLE T_QCQI_CAP_PROVEFA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEPL') 
 CREATE TABLE T_QCQI_CAP_PROVEPL (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEPLS') 
 CREATE TABLE T_QCQI_CAP_PROVEPLS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEPM') 
 CREATE TABLE T_QCQI_CAP_PROVEPM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVEPMS') 
 CREATE TABLE T_QCQI_CAP_PROVEPMS (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_PROVETA') 
 CREATE TABLE T_QCQI_CAP_PROVETA (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CAP_TEMACT') 
 CREATE TABLE T_QCQI_CAP_TEMACT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESPONSER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTMPACT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVALIDRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFIINISHTIMET DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CORANDPRE') 
 CREATE TABLE T_QCQI_CORANDPRE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FINITIATEDPTID BIGINT DEFAULT 0 NOT NULL,
FINITIALPERSONID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCOMPLAINTTYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSELECTEDSTEP NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINITIALDATE DATETIME,
FTEMPLETID BIGINT DEFAULT 0 NOT NULL,
FPLANCLOSETIME DATETIME,
FINFACTCLOSETIME DATETIME,
FPROGRESS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSELECTEDSTEPNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_CORANDPRE_S') 
 CREATE TABLE T_QCQI_CORANDPRE_S (
FID BIGINT DEFAULT 0 NOT NULL,
FANALYREASON NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCORRECTACT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPREVENTACT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROCLOSE NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROBLEMDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FRESPONSERCA NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSERCM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSERPM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSERPL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRESPONSERDP NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFIINISHTIMEDP DATETIME,
FFIINISHTIMECA DATETIME,
FFIINISHTIMECM DATETIME,
FFIINISHTIMEPM DATETIME,
FFIINISHTIMEPL DATETIME
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\QCQI_table.sql **/
