﻿/**Begin D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCACTEAMENTRY') 
 CREATE TABLE T_QCQI_QCACTEAMENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTCREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FROLEVAL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERFDUTY NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCACTIMANAGE') 
 CREATE TABLE T_QCQI_QCACTIMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYTEMPLATEID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICTARGET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOPICDESC NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTOPICTYPEID BIGINT DEFAULT 0 NOT NULL,
FTOPICSOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQCTEAMID BIGINT DEFAULT 0 NOT NULL,
FACTIVITYSTART DATETIME,
FACTIVITYCOMP DATETIME,
FACTIVITYACTUAL DATETIME,
FACTIVITYPROG NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCTOPICMANAGE') 
 CREATE TABLE T_QCQI_QCTOPICMANAGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTOPICDESC NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTOPICTARGET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICTYPEID BIGINT DEFAULT 0 NOT NULL,
FTOPICSOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FTOPICSTATUS NVARCHAR(5) DEFAULT 'A' NOT NULL,
FQCTEAMID BIGINT DEFAULT 0 NOT NULL,
FSCORE INT DEFAULT 0 NOT NULL,
FSCOREGRADEID BIGINT DEFAULT 0 NOT NULL,
FAWARDHONORID BIGINT DEFAULT 0 NOT NULL,
FHOPENDATE DATETIME,
FACTIVITYSTART DATETIME,
FTOPICCOMP DATETIME,
FPUSHNUM INT DEFAULT 0 NOT NULL,
FMANAGECOMP DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCTOPICMANENTRY') 
 CREATE TABLE T_QCQI_QCTOPICMANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTCREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCACTIMANAGENTRY') 
 CREATE TABLE T_QCQI_QCACTIMANAGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACTIVITYSTEPID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCACTIMANAGSUB') 
 CREATE TABLE T_QCQI_QCACTIMANAGSUB (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCONTENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCHARGEUSERID BIGINT DEFAULT 0 NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FSUBREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCACTMANAGEATT') 
 CREATE TABLE T_QCQI_QCACTMANAGEATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
