﻿/**Begin D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_QCQI_QCACTIMANAGE' AND KSQL_COL_NAME ='FPUSHNUM') 
 ALTER TABLE T_QCQI_QCACTIMANAGE ADD (FPUSHNUM INT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCREVIEWPLAN') 
 CREATE TABLE T_QCQI_QCREVIEWPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICTARGET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOPICDESC NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTOPICTYPEID BIGINT DEFAULT 0 NOT NULL,
FTOPICSOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQCTEAMID BIGINT DEFAULT 0 NOT NULL,
FREVIEWCOMMITID BIGINT DEFAULT 0 NOT NULL,
FPLANREVIEWDATE DATETIME,
FREVIEWSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FSCORESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSCORETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FPUSHNUMQTY INT DEFAULT 0 NOT NULL,
FACTIVITYSTART DATETIME,
FTOPICID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCREVPLANENTRY') 
 CREATE TABLE T_QCQI_QCREVPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTCREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FREVIEWINTELLI NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCOUNTRVENTRY') 
 CREATE TABLE T_QCQI_QCOUNTRVENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUSERID BIGINT DEFAULT 0 NOT NULL,
FREVIEWINTELLI NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTCREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPSCOREGRADEID BIGINT DEFAULT 0 NOT NULL,
FSCREVIEWDATE DATETIME,
FSTDCOUNTQTY INT DEFAULT 0 NOT NULL,
FSCOREAVA NVARCHAR(5) DEFAULT ' ' NOT NULL,
FQCREVIEWSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FEVALAUTE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREVCOUNTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRESRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCOUNTSCATT') 
 CREATE TABLE T_QCQI_QCOUNTSCATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCOUNTSCORE') 
 CREATE TABLE T_QCQI_QCOUNTSCORE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICTARGET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTOPICDESC NVARCHAR(512) DEFAULT ' ' NOT NULL,
FTOPICTYPEID BIGINT DEFAULT 0 NOT NULL,
FTOPICSOURCE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWCOMMITID BIGINT DEFAULT 0 NOT NULL,
FQCTEAMID BIGINT DEFAULT 0 NOT NULL,
FPLANREVIEWDATE DATETIME,
FREVIEWSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FSCORESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSCORETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FTOPICCOMP DATETIME,
FTOPICSTATUS NVARCHAR(5) DEFAULT ' ' NOT NULL,
FSCOREGRADEID BIGINT DEFAULT 0 NOT NULL,
FTOPICSTART DATETIME,
FAWARDHONORID BIGINT DEFAULT 0 NOT NULL,
FPUSHNUMQTY INT DEFAULT 0 NOT NULL,
FPUSHLINENUMQTY INT DEFAULT 0 NOT NULL,
FREVIEWSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FREVIEWCOM NVARCHAR(512) DEFAULT ' ' NOT NULL,
FREVIEWCOUNTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOPICID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCOUNTSCSUBENTRY') 
 CREATE TABLE T_QCQI_QCOUNTSCSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSCUSERID BIGINT DEFAULT 0 NOT NULL,
FCOUNTSCOREQTY INT DEFAULT 0 NOT NULL,
FREVIEWTYPEID BIGINT DEFAULT 0 NOT NULL,
FREVIEWITEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIEWMETHED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTREVIEWSTANDARD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTANDARDVALUEQTY INT DEFAULT 0 NOT NULL,
FREVIEWFIND NVARCHAR(512) DEFAULT ' ' NOT NULL,
FREVIEWSCOREQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCONLINESTENTRY') 
 CREATE TABLE T_QCQI_QCONLINESTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREVIEWTYPEID BIGINT DEFAULT 0 NOT NULL,
FREVIEWITEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIEWMETHED NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTREVIEWSTANDARD NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTANDARDVALUEQTY INT DEFAULT 0 NOT NULL,
FREVIEWFIND NVARCHAR(512) DEFAULT ' ' NOT NULL,
FSTSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSTSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSTSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSTSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSTSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIEWSCOREQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCONLINESCORE') 
 CREATE TABLE T_QCQI_QCONLINESCORE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREVIEWUSERID BIGINT DEFAULT 0 NOT NULL,
FREVIEWDATE DATETIME,
FREVIEWSTANDARDID BIGINT DEFAULT 0 NOT NULL,
FSCORESCHEMEID BIGINT DEFAULT 0 NOT NULL,
FSCORETYPE NVARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWCOMMITID BIGINT DEFAULT 0 NOT NULL,
FPLANREVIEWDATE DATETIME,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL,
FREVIEWSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FSRCORDERNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSCOREGRADEID BIGINT DEFAULT 0 NOT NULL,
FSCOREAVA NVARCHAR(5) DEFAULT ' ' NOT NULL,
FREVIEWCOUNTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALAUTE NVARCHAR(512) DEFAULT ' ' NOT NULL,
FQCTEAMID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCONLINESTATT') 
 CREATE TABLE T_QCQI_QCONLINESTATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCAWARDATT') 
 CREATE TABLE T_QCQI_QCAWARDATT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCAWARDENTRY') 
 CREATE TABLE T_QCQI_QCAWARDENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSRCORDERNUM NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCORDERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTOPICNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACTIVITYSTART DATETIME,
FTOPICCOMP DATETIME,
FSCOREGRADEID BIGINT DEFAULT 0 NOT NULL,
FAWARDTEAMID BIGINT DEFAULT 0 NOT NULL,
FAWARDHONORID BIGINT DEFAULT 0 NOT NULL,
FTEAMPRIZE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAWARDREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTOPICID BIGINT DEFAULT 0 NOT NULL,
FREVIEWCOUNTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_QCQI_QCAWARDMAN') 
 CREATE TABLE T_QCQI_QCAWARDMAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAWARDDATE DATETIME,
FENDDATE_STARTDATE DATETIME,
FENDDATE_ENDDATE DATETIME,
FREMARK NVARCHAR(512) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\QCQI_table.sql **/
