﻿/**Begin D:\PDM_UPGRADE\PDM1\QCQI_constraint.sql **/
 EXEC P_ALTERPK 'PK_QCQI_PROBLEMNOTICE', 'T_QCQI_PROBLEMNOTICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PROBCE_FBILLNO') CREATE INDEX IDX_QCQI_PROBCE_FBILLNO ON T_QCQI_PROBLEMNOTICE ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PROBCE_FCREATETIME') CREATE INDEX IDX_QCQI_PROBCE_FCREATETIME ON T_QCQI_PROBLEMNOTICE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_QCQI_PROBLEMNOTICE_L', 'T_QCQI_PROBLEMNOTICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PROBCEL_FID') CREATE INDEX IDX_QCQI_PROBCEL_FID ON T_QCQI_PROBLEMNOTICE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PROBCEL_FCOMMENT') CREATE INDEX IDX_QCQI_PROBCEL_FCOMMENT ON T_QCQI_PROBLEMNOTICE_L ( FCOMMENT );


 EXEC P_ALTERPK 'PK_QCQI_PRONOTICE_ENTRY', 'T_QCQI_PRONOTICE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FID') CREATE INDEX IDX_QCQI_PRONCE_FID ON T_QCQI_PRONOTICE_ENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FSEQ') CREATE INDEX IDX_QCQI_PRONCE_FSEQ ON T_QCQI_PRONOTICE_ENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FMATERIALID') CREATE INDEX IDX_QCQI_PRONCE_FMATERIALID ON T_QCQI_PRONOTICE_ENTRY ( FMATERIALID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FMATERIALCFGID') CREATE INDEX IDX_QCQI_PRONCE_FMATERIALCFGID ON T_QCQI_PRONOTICE_ENTRY ( FMATERIALCFGID );


 EXEC P_ALTERPK 'PK_QCQI_PRONOTICE_ENTRY_L', 'T_QCQI_PRONOTICE_ENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCEL_FENTRYID') CREATE INDEX IDX_QCQI_PRONCEL_FENTRYID ON T_QCQI_PRONOTICE_ENTRY_L ( FENTRYID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCEL_FREMARK') CREATE INDEX IDX_QCQI_PRONCEL_FREMARK ON T_QCQI_PRONOTICE_ENTRY_L ( FREMARK );


 EXEC P_ALTERPK 'PK_QCQI_PRONOTICE_SUB', 'T_QCQI_PRONOTICE_SUB', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FENTRYID') CREATE INDEX IDX_QCQI_PRONCE_FENTRYID ON T_QCQI_PRONOTICE_SUB ( FENTRYID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCE_FSUBSEQ') CREATE INDEX IDX_QCQI_PRONCE_FSUBSEQ ON T_QCQI_PRONOTICE_SUB ( FSUBSEQ );


 EXEC P_ALTERPK 'PK_QCQI_PRONOTICE_SUB_L', 'T_QCQI_PRONOTICE_SUB_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCEL_FDETAILID') CREATE INDEX IDX_QCQI_PRONCEL_FDETAILID ON T_QCQI_PRONOTICE_SUB_L ( FDETAILID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_QCQI_PRONCEL_FSUBREMARK') CREATE INDEX IDX_QCQI_PRONCEL_FSUBREMARK ON T_QCQI_PRONOTICE_SUB_L ( FSUBREMARK );



/**End D:\PDM_UPGRADE\PDM1\QCQI_constraint.sql **/
